function vexalarm.panel_main()
	return {
		type = "group",
		args = {
			title={name="|CFFFF7D0A"..vexalarm.Locale["main Version"]..": |r"..GetAddOnMetadata("vexalarm", "Version").."\n", type="description", order=1, fontSize="large"},
			author={name="|CFFFF7D0A"..vexalarm.Locale["main Author"]..": |rVexar Aegwynn-EU\n", type="description", order=2, fontSize="large"},
			slashcmds={name="\n\n"..vexalarm.Locale["main Slashcmds"]..":\n/vexalarm\n/vexa", type="description", order=3, fontSize="large"},
			space={name="\n\n\n\n", type="description", order=4, fontSize="large"},
			
			defaults = {
				name = vexalarm.Locale["Reset"],
				order=5, type = "execute",
				func = function(info,val) vexalarm_loaddefaults(true) end,
				},
				
			quickIconSpace={name="\n\n", type="description", order=10, fontSize="large"},
			quickIconAllow = {
				name = vexalarm.Locale["main icon activate"],
				order=11, type = "toggle", width="full",
				desc = "",
				set = function(self,key) vexIcon_parameters["allow"]=key vexIcon.IconButtonUpdate() end,
				get = function() return vexIcon_parameters["allow"] end,
				},
			quickIconLock = {
				name = vexalarm.Locale["main icon lock"],
				order=12, type = "toggle", width="full",
				desc = "",
				set = function(self,key) vexIcon_parameters["lock"]=key vexIcon.IconButtonUpdate() end,
				get = function() return vexIcon_parameters["lock"] end,
				},
			quickIconSize = {
				name = vexalarm.Locale["main icon size"],
				order=13, type = "range",
				step = 1, min = 1, max = 70,
				set = function(info,val) vexIcon_parameters["size"]=val vexIcon.IconButtonUpdate() end,
				get = function() return vexIcon_parameters["size"] end
				},
			quickIconSpace2={name=" ", type="description", order=14, fontSize="large"},
			quickIconReset = {
				name = vexalarm.Locale["main icon reset"], 
				desc = vexalarm.Locale["main icon reset desc"],
				order=15, type = "execute", width="double",
				func = function(info,val) vexIcon.IconButtonReset() end,
				},
			}
		}
end